summaryrefslogtreecommitdiffstats
path: root/network/pound
diff options
context:
space:
mode:
author Thales A. Tsailas <ttsailas@enforcingit.com>2010-05-13 00:37:57 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:37:57 +0200
commit8cacc7adde23a605039e52ee8c3bee28ede59913 (patch)
treefbcaa7cf581ba5ec06bedee463096c4480f56686 /network/pound
parent60e6924394b48678cafd1fddc21f69f405b7d4fb (diff)
downloadslackbuilds-8cacc7adde23a605039e52ee8c3bee28ede59913.tar.gz
slackbuilds-8cacc7adde23a605039e52ee8c3bee28ede59913.tar.xz
network/pound: Updated for version 2.4.3
Diffstat (limited to 'network/pound')
-rw-r--r--network/pound/pound.SlackBuild12
-rw-r--r--network/pound/pound.info2
-rw-r--r--network/pound/rc.pound.new4
-rw-r--r--network/pound/slack-desc2
4 files changed, 14 insertions, 6 deletions
diff --git a/network/pound/pound.SlackBuild b/network/pound/pound.SlackBuild
index 3eb869c8c0..e9768e830d 100644
--- a/network/pound/pound.SlackBuild
+++ b/network/pound/pound.SlackBuild
@@ -38,10 +38,13 @@ POUNDGROUP=${POUNDGROUP:-nobody}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -64,6 +67,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc/pound \
--localstatedir=/var \
--mandir=/usr/man \
@@ -74,8 +78,10 @@ make all
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Fix up some ownership and permissions
@@ -107,4 +113,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pound/pound.info b/network/pound/pound.info
index b7ce840a54..70d90a3a49 100644
--- a/network/pound/pound.info
+++ b/network/pound/pound.info
@@ -2,7 +2,9 @@ PRGNAM="pound"
VERSION="2.4.3"
HOMEPAGE="http://www.apsis.ch/pound/"
DOWNLOAD="http://www.apsis.ch/pound/Pound-2.4.3.tgz"
+DOWNLOAD_x86_64=""
MD5SUM="2de4c2ac1023b420b74a1bc08fb93b8a"
+MD5SUM_x86_64=""
MAINTAINER="Thales A. Tsailas"
EMAIL="ttsailas@enforcingit.com"
APPROVED="rworkman"
diff --git a/network/pound/rc.pound.new b/network/pound/rc.pound.new
index ec0c768cc2..82809221bb 100644
--- a/network/pound/rc.pound.new
+++ b/network/pound/rc.pound.new
@@ -7,9 +7,9 @@
# pidfile: /var/run/pound_pid.nnn
if [ -f /var/run/pound.pid ]; then
-pid=`cat /var/run/pound.pid`
+ pid=`cat /var/run/pound.pid`
else
-pid=-1;
+ pid=-1;
fi
. /etc/init.d/functions
diff --git a/network/pound/slack-desc b/network/pound/slack-desc
index 6f0af16439..bdf16d5970 100644
--- a/network/pound/slack-desc
+++ b/network/pound/slack-desc
@@ -15,5 +15,5 @@ pound: data objects, and to allow for a convenient SSL wrapper for those web
pound: servers that do not offer it natively. Pound is distributed under
pound: the GPL license.
pound:
-pound: Homepage : http://www.apsis.ch/pound/
+pound: Homepage: http://www.apsis.ch/pound/
pound: